/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Compact Menu.
 *
 * The Initial Developer of the Original Code is Chris Neale.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 *   Chris Neale <orbit@cdn.gs>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

// $Id: compactPrefOverlay.js,v 1.8 2003/01/31 13:50:28 cdn Exp $

var compact_prefs= Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("compact.menu.");

function initialisePrefs()
{

  window.removeEventListener("load",initialisePrefs,true);

  try{
    
    dump("compact :: binding : " + compact_prefs.getIntPref("binding") + "\n" );
    
  }
  catch(e){
  
    compact_prefs.setIntPref("binding", 0);
    
    compact_prefs.setBoolPref("showmenu.file", true);
    compact_prefs.setBoolPref("showmenu.edit", true);
    compact_prefs.setBoolPref("showmenu.view", true);
    compact_prefs.setBoolPref("showmenu.go", true);
    compact_prefs.setBoolPref("showmenu.bookmarks", true);
    compact_prefs.setBoolPref("showmenu.help", true);
    compact_prefs.setBoolPref("showmenu.tasks", true);

    dump('compact :: prefs written\n');
    
  }

}

var cmb = document.getElementById('main-menubar');

function compactOff()
{
  dump('compact :: change #compact menubar compact to off\n');
  document.getElementById('main-menubar').setAttribute('style', '-moz-binding: url();');
  document.getElementById('main-menubar').setAttribute('style', '-moz-binding: url(chrome://compact/content/compactBrowserOverlay.xml#main-menubar);');
  for (var i = 0; i < cmb.childNodes.length; ++i) {
    var child = cmb.childNodes[i];
    
    child.setAttribute('style', '-moz-binding: url()');
  }
  compact_prefs.setIntPref('binding', 0);
}

function multiBind()
{
  for (var i = 0; i < cmb.childNodes.length; ++i) {
    var child = cmb.childNodes[i];
    
    child.setAttribute('style', '-moz-binding: url("chrome://global/content/bindings/menu.xml#menu-iconic")');
  }
}

function compactOnImage()
{
  dump('compact :: change #compact menubar compact to image\n');
  cmb.setAttribute('style', '-moz-binding: url(chrome://compact/content/compactBrowserOverlay.xml#compact-menubar);');
  multiBind();
  compact_prefs.setIntPref('binding', 1);
}

function compactOnText()
{
  dump('compact :: change #compact menubar compact to text\n');
  document.getElementById('main-menubar').setAttribute('style', '-moz-binding: url(chrome://compact/content/compactBrowserOverlay.xml#compact-menubar-text);');
  multiBind();
  compact_prefs.setIntPref('binding', 2);
}

function compactStyle()
{
  switch(compact_prefs.getIntPref("binding"))
    {
      
      case 0 : compactOff();
               break;

      case 2 : compactOnText();
               break;
               
      case 1 : compactOnImage();
               break;
      
    }
}

function initCompact()
{

  compactStyle();
       
  document.getElementById('menu_FilePopup').parentNode.hidden = ! compact_prefs.getBoolPref("showmenu.file");
  document.getElementById('menu_EditPopup').parentNode.hidden = ! compact_prefs.getBoolPref("showmenu.edit");
  document.getElementById('menu_viewPopup').parentNode.hidden = ! compact_prefs.getBoolPref("showmenu.view");
  document.getElementById('goPopup').parentNode.hidden = ! compact_prefs.getBoolPref("showmenu.go");
  document.getElementById('bookmarks-menu').hidden = ! compact_prefs.getBoolPref("showmenu.bookmarks");
  document.getElementById('menu_ToolsPopup').parentNode.hidden = ! compact_prefs.getBoolPref("showmenu.tasks");
  document.getElementById('menu_HelpPopup').parentNode.hidden = ! compact_prefs.getBoolPref("showmenu.help");

}
