// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}

var srDest = 1;

var err = initInstall("Compact Menu", "compact", "prototype_a"); 

logComment("initInstall: " + err);

if (verifyDiskSpace(getFolder("Program"), srDest))
{
    addFile("Compact Menu",
            "compact.jar", // jar source folder 
            getFolder("Chrome"),        // target folder
            "");                        // target subdir 

    registerChrome(PACKAGE | DELAYED_CHROME, getFolder("Chrome","compact.jar"), "content/compact/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome", "compact.jar"), "locale/en-US/compact/");
    registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome", "compact.jar"), "skin/classic/compact/");

    registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome", "compact.jar"), "locale/fr-FR/compact/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome", "compact.jar"), "locale/de-DE/compact/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome", "compact.jar"), "locale/sv-SE/compact/");

    if (err==SUCCESS)
    {
        performInstall();
        err = getLastError();
        if (err == SUCCESS || err == REBOOT_NEEDED)
        {
          alert("Compact Menu will allow customisation of the menubar when your browser is restarted.");
        }
    }
    else
        cancelInstall(err);
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
